#ifndef MAIN_H
#define MAIN_H

#include <signal.h>
#include <io.h>
#include <iomacros.h>
#include <stdlib.h>

#include "lcd.h"
#include "interrupts.h"


#define set_bit(var, bit) ((var) |= (1 << (bit)))   /* Bit setzen */
#define clear_bit(var, bit) ((var) &= (unsigned)~(1 << (bit)))    /* Bit lschen */

#define bit_is_set(var, bit) ((var) & (1 << (bit)))
#define bit_is_clear(var, bit) !bit_is_set(var, bit)

#define BOOL    uint8_t
#define FALSE   0
#define TRUE    (!FALSE)

#define KEYUP     0 //Key 0 an Port 1
#define KEYDOWN   1 //Key 1 an Port 1
#define KEYESC    3 //Key 3 an Port 1
#define KEYENTER  2 //Key 2 an Port 1

#define KEYPORT   P1IN


#define UP	  (KEYPORT & (1<<KEYUP))	
#define DOWN  (KEYPORT & (1<<KEYDOWN))		
#define ESC   (KEYPORT & (1<<KEYESC))	
#define ENTER (KEYPORT & (1<<KEYENTER))	


extern volatile unsigned int sys_ticks;


#endif //MAIN_H
